<?php

/**

* @version		1.1

* @package		DJ Classifieds

* @subpackage	DJ Classifieds Component

* @copyright	Copyright (C) 2010 Blue Constant Media LTD, All rights reserved.

* @license		http://www.gnu.org/licenses GNU/GPL

* @autor url    http://design-joomla.eu

* @autor email  contact@design-joomla.eu

* @Developer    Lukasz Ciastek - lukasz.ciastek@design-joomla.eu

* 

* 

* DJ Classifieds is free software: you can redistribute it and/or modify

* it under the terms of the GNU General Public License as published by

* the Free Software Foundation, either version 3 of the License, or

* (at your option) any later version.

*

* DJ Classifieds is distributed in the hope that it will be useful,

* but WITHOUT ANY WARRANTY; without even the implied warranty of

* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the

* GNU General Public License for more details.

*

* You should have received a copy of the GNU General Public License

* along with DJ Classifieds. If not, see <http://www.gnu.org/licenses/>.

* 

*/

defined ('_JEXEC') or die('Restricted access');



jimport('joomla.application.component.model');



JTable::addIncludePath(JPATH_COMPONENT.DS.'tables');



class DjclassifiedsModelAddItem extends JModel

{	



		

	function getCategories(){

			

			$query = "SELECT * FROM #__djcf_categories ORDER BY parent_id";



			$categories = $this->_getList($query, 0, 0);



		return $categories;

	}

	

	

	function getItem()

	{

		global $option;



		$id = JRequest::getVar('id', 0, '', 'int' );

 

			$db= &JFactory::getDBO();

			$query = "SELECT i.*, c.name AS c_name FROM #__djcf_items i, #__djcf_categories c WHERE i.cat_id = c.id AND i.id=".$id;

			$db->setQuery($query);

			$item=$db->loadObject();

			if(!$item){

				$item->id = '';

				$item->name = '';

				$item->intro_desc = '';

				$item->description = ''; 

				$item->special = '';

				$item->cat_id = '';

				$item->contact = '';

				$item->price = '';				

			}

		return $item;



	}



	

}



